Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1162738 - pixman's vmx fast paths broken on ppc64le
Summary: pixman's vmx fast paths broken on ppc64le
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pixman
Version: 21
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-11-11 15:32 UTC by Adam Jackson
Modified: 2015-08-14 08:54 UTC (History)
4 users (show)

Fixed In Version: 0.33.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-14 08:54:48 UTC


Attachments (Terms of Use)
pixman_ppc64le_no_vec_lvsl_warning.patch (deleted)
2014-11-26 10:46 UTC, Michel Normand
no flags Details | Diff

Description Adam Jackson 2014-11-11 15:32:37 UTC
I've disabled them in the spec file for F21+ (as of 0.32.6-4.fc21), but if you build with them enabled and run 'make check' you'll notice a bunch of stuff failing.  This manifests in X as (for example) the address bar in yelp being painted black.

The fast paths themselves live in pixman/pixman-vmx.c, and if I had to guess at where to start fixing things I'd look at splat_alpha() which I think is making some (big-endian) assumptions about vector layout.

Comment 2 Michel Normand 2014-11-26 10:46:54 UTC
Created attachment 961594 [details]
pixman_ppc64le_no_vec_lvsl_warning.patch

Comment 3 Michel Normand 2014-11-26 10:49:02 UTC
for information, I am still investigating the problem but with no success yet.

* I have a pixman_ppc64le_no_vec_lvsl_warning.patch that only avoid warning at compilation time. (appended in comment 2)
* I am still trying to find a simple test to gdb to understand the errors reported by make check.

Comment 4 Rafael Fonseca 2015-08-13 15:13:31 UTC
What is the current status of this bug?

Comment 5 Michel Normand 2015-08-13 17:54:11 UTC
(In reply to Rafael Fonseca from comment #4)
> What is the current status of this bug?

I do not work anymore on this one, so do not know the status.

Comment 6 Rafael Fonseca 2015-08-14 08:54:48 UTC
Looking at the package's changelog:

%changelog
* Sun Aug 09 2015 Oded Gabbay <oded.gabbay@gmail.com> 0.33.2-1
- pixman 0.33.2
- Enable VMX fast paths on ppc64le now that they are fixed


Note You need to log in before you can comment on or make changes to this bug.